/**
 * Die Klasse Kante repraesentiert Kanten in einem Graphen.
 * 
 * @author (claus albowski) 
 * @version (maerz 20)
 */
public class Kante
implements Comparable // zum Sortiere
{
    // Instanzvariable
    private Knoten von,nach;
    private int laenge;
    
    /**
     * Konstruktor fuer Objekte der Klasse Kante
     */
    public Kante(Knoten von, Knoten nach, int laenge)
    {
        this.von=von;
        this.nach=nach;
        this.laenge = laenge;
    }
    
    public int compareTo(Object vergleich) {
        return laenge - ((Kante)vergleich).gibLaenge();
    }
    
    public Knoten gibVon() { return von; }
    public Knoten gibNach() { return nach; }
    public int gibLaenge(){ return laenge; }
    
    /**
     * gibt zu einem Knoten zurueck, ob er zur Kante gehoert
     */
    public boolean istEinKnoten(Knoten p)
    {
        if (p.equals(gibVon())) return true;
        if (p.equals(gibNach())) return true;
        return false;
    }
    

    /**
     * gibt den anderen Knoten der Kante zurueck.
     */
    public Knoten derandereKnoten(Knoten p)
    {
        if (p.equals(von)) return nach;
        if (p.equals(nach)) return von;
        return null;
    }
    
}
